<template>
  <v-container
    fluid
    ma-0
    pa-0
  >
    <v-card
      elevation="0"
    >
      <!-- dsa: {{dsa}} -->
      <v-row
        align="start"
      >
        <v-col
          class="d-flex mx-3"
          cols="10"
        >
          <v-autocomplete
            v-model="dsa"
            :items="dsaList"
            item-value="dsa"
            item-text="dsa"
            label="Select a DSA"
            clearable
            @change="dsaSelected()"
          />
        </v-col>
      </v-row>
      <!-- <v-row>
        <v-col>
          dsa: {{ dsa }}
        </v-col>
      </v-row> -->
    </v-card>
  </v-container>
</template>

<script>

import { orderBy } from 'lodash';
import { get } from 'kyd-utils';

export default {
  name: 'Home',
  components: {
  },
  props: {
    isList: {
      type: Boolean,
      default: false,
    },
    dsaProp: {
      type: String,
      default: '',
    },
  },
  data: () => ({
    show: false,
    pageCount: 0,
    itemsPerPage: 10,
    dsaList: [],
    dsa: '',
  }),
  computed: {
  },
  watch: {
    dsaProp: {
      handler(v) {
        const l = this.isList;
        if (l === true) {
        // console.log('the page has changed', nv);
          this.dsa = v;
        }
      },
      immediate: true,
    },
  },
  created() {
    this.getDsa();
  },
  methods: {
    dsaSelected() {
      const d = this.dsa;
      if (this.isList === false) {
        this.$emit('dsaSelected', d);
      } else {
        this.$emit('dsaNew', d);
      }
    },
    async getDsa() {
      const response = await get('/dsa');
      const list = orderBy(response.data, 'dsa', 'ASC');
      // console.log('the dsa resp', response);
      this.dsaList = list;
    },
  },
};

</script>
